// Thund Pusthakam
var apiUrl = 'http://168.144.175.12/~thunduapps/api/index.php/';
/*var admob_key_banner = "ca-app-pub-2363207167000021/3923338391";
var admob_key_interstitial = "ca-app-pub-2363207167000021/5400071597";*/

// Erotic Stories
/*var apiUrl = 'http://168.144.175.12/~thunduapps/api/index.php/en/';*/
var admob_key_banner = "ca-app-pub-2363207167000021/9677213595";
var admob_key_interstitial = "ca-app-pub-2363207167000021/3072276790";


function initAdMob(){
    if ( window.plugins && window.plugins.AdMob ) {
        window.plugins.AdMob.setOptions( {
            publisherId: admob_key_banner,
            bannerAtTop: false, // set to true, to put banner at top
            overlap: false, // set to true, to allow banner overlap webview
            offsetTopBar: true, // set to true to avoid ios7 status bar overlap                    
            interstitialAdId: admob_key_interstitial,
            autoShow: true, // autoshow intertitial Ad
            isTesting: false // receiving test ad
        });

    } else {
        //alert("AdMob plugin not ready");
    }
}

function hideLoader(){
    $("#loaderImg").hide();
}

function showLoader(){
    $("#loaderImg").show();
}

var onDeviceReady=function(){
    navigator.splashscreen.hide();
    hideLoader();
    initAdMob();
    showAdMobBanner();
    window.setInterval(function(){
    	showAdMobInterstitial();
	}, 100000);
};
document.addEventListener("deviceready",onDeviceReady,false);


function showAdMobBanner(){
	if ( window.plugins && window.plugins.AdMob ) {
	    window.plugins.AdMob.createBannerView();
	}
}

function submitStory(){
	var title = $("#write_title").val();
	var desc = $("#write_desc").val();
	/*if(device == undefined){
		var device = {
			"name" : "browser",
			"uuid" : "browser",
			"model" : "browser",
			"version" : "browser",
		};
	}*/
	if(title !="" && desc != ""){
	    var formData = {
	    	"title" : title,
		    	"desc" : desc,
		    	"deviceName" : device.name,
		    	"deviceUuid" : device.uuid,
		    	"deviceModel" : device.model,
		    	"deviceVersion" : device.version
	    };

	    showLoader();
	    $.ajax({
		    url: apiUrl+'save.json' ,
		    dataType: "json",
		    data : JSON.stringify(formData),
		    async: true,
		    method : 'POST',
		    success: function (data) {
				hideLoader();
				$("#write_title").val("");
				$("#write_desc").val("");
		    	alert("Your story has submitted. Pending for approval.");
		    },
		    error: function (request,error) {
				hideLoader();
		        alert('Network error has occurred please try later!');
		    }
		});  
	}else{
		alert("Please enter valid text");
	}
}

function showAdMobInterstitial(){
	if ( window.plugins && window.plugins.AdMob) {
	    window.plugins.AdMob.createInterstitialView();
	}
}

function shareOnWhatsApp(title, story){
	var message = encodeURIComponent(title) + " - " + encodeURIComponent(story) + encodeURIComponent(" Read more on Thund Pusthakam - https://play.google.com/store/apps/details?id=com.thundanapps.thundpusthakam");
	var whatsapp_url = "whatsapp://send?text=" + message;
	window.location.href = whatsapp_url;
}

function showList(data){
	var titleList = '';
	$.each(data.results, function( index, row ) {
		titleList = '<li><a href="#story" data-transition="fade" data-storyId ="'+row.StoryId+'"  >'+row.Title+'</a></li>';
    	$('#storyList').append(titleList);
	});
	$("#storyList").listview("refresh");
	hideLoader();

	$("#storyList li a").on('click',function(){
		var storyId = $(this).attr('data-storyId');
		getStory(storyId);
	});
}

function showStory(data){
	data = data.results[0];
	showAdMobInterstitial();
	$("#storyDesc").text(data.Desc);
	$("#storyTitle").text(data.Title);
	hideLoader();
}

function getStory(id){
	showLoader();

	$.ajax({
	    url: apiUrl+'story/'+id+'.json' ,
	    dataType: "json",
	    async: true,
	    success: function (data) {
	    	showStory(data);
	    },
	    error: function (request,error) {
			hideLoader();
	        alert('Network error has occurred please try again!');
	    }
	});  
	
}

$(document).on('pageinit', '#home', function(){ 
	$.mobile.allowCrossDomainPages = true;
	$.support.cors = true;

	showLoader();
	$.ajax({
        url: apiUrl+'list.json' ,
        dataType: "json",
        async: true,
        success: function (data) {
        	showList(data);
        },
        error: function (request,error) {
			hideLoader();
            $("#strtButton").hide();
            alert('You need an internet connection! Plase connect to Wi-fi or Mobile Data.');
        }
    });  
});

